Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Class TerminalOption

    java.lang.Object
      com.mindbright.terminal.TerminalOption

public class TerminalOption
extends java.lang.Object

Constructor Summary
`TerminalOption(java.lang.String key, java.lang.String description, java.lang.String defValue)`
`TerminalOption(java.lang.String key, java.lang.String description, java.lang.String defValue, java.lang.String[] choices)`

Method Summary
`TerminalOption` | `copy()`
`java.lang.String[]` | `getChoices()`
`java.lang.String` | `getDefault()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getValue()`
`boolean` | `getValueB()`
`void` | `setValue(java.lang.String v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminalOption

    public TerminalOption(java.lang.String key,
                          java.lang.String description,
                          java.lang.String defValue)

### TerminalOption

    public TerminalOption(java.lang.String key,
                          java.lang.String description,
                          java.lang.String defValue,
                          java.lang.String[] choices)

Method Detail

### copy

    public TerminalOption copy()

### getKey

    public java.lang.String getKey()

### getDescription

    public java.lang.String getDescription()

### getDefault

    public java.lang.String getDefault()

### getChoices

    public java.lang.String[] getChoices()

### getValue

    public java.lang.String getValue()

### getValueB

    public boolean getValueB()

### setValue

    public void setValue(java.lang.String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD